#ifndef _ASSETS_H
#define _ASSETS_H

// Picopixel by Sebastian Weber.  A tiny font
// with all characters within a 6 pixel height.

const uint8_t PicopixelBitmaps[] PROGMEM = {
  0xE8, 0xB4, 0x57, 0xD5, 0xF5, 0x00, 0x4E, 0x3E, 0x80, 0xA5, 0x4A, 0x4A,
  0x5A, 0x50, 0xC0, 0x6A, 0x40, 0x95, 0x80, 0xAA, 0x80, 0x5D, 0x00, 0x60,
  0xE0, 0x80, 0x25, 0x48, 0x56, 0xD4, 0x75, 0x40, 0xC5, 0x4E, 0xC5, 0x1C,
  0x97, 0x92, 0xF3, 0x1C, 0x53, 0x54, 0xE5, 0x48, 0x55, 0x54, 0x55, 0x94,
  0xA0, 0x46, 0x64, 0xE3, 0x80, 0x98, 0xC5, 0x04, 0x56, 0xC6, 0x57, 0xDA,
  0xD7, 0x5C, 0x72, 0x46, 0xD6, 0xDC, 0xF3, 0xCE, 0xF3, 0x48, 0x72, 0xD4,
  0xB7, 0xDA, 0xF8, 0x24, 0xD4, 0xBB, 0x5A, 0x92, 0x4E, 0x8E, 0xEB, 0x58,
  0x80, 0x9D, 0xB9, 0x90, 0x56, 0xD4, 0xD7, 0x48, 0x56, 0xD4, 0x40, 0xD7,
  0x5A, 0x71, 0x1C, 0xE9, 0x24, 0xB6, 0xD4, 0xB6, 0xA4, 0x8C, 0x6B, 0x55,
  0x00, 0xB5, 0x5A, 0xB5, 0x24, 0xE5, 0x4E, 0xEA, 0xC0, 0x91, 0x12, 0xD5,
  0xC0, 0x54, 0xF0, 0x90, 0xC7, 0xF0, 0x93, 0x5E, 0x71, 0x80, 0x25, 0xDE,
  0x5E, 0x30, 0x6E, 0x80, 0x77, 0x9C, 0x93, 0x5A, 0xB8, 0x45, 0x60, 0x92,
  0xEA, 0xAA, 0x40, 0xD5, 0x6A, 0xD6, 0x80, 0x55, 0x00, 0xD7, 0x40, 0x75,
  0x90, 0xE8, 0x71, 0xE0, 0xBA, 0x40, 0xB5, 0x80, 0xB5, 0x00, 0x8D, 0x54,
  0xAA, 0x80, 0xAC, 0xE0, 0xE5, 0x70, 0x6A, 0x26, 0xFC, 0xC8, 0xAC, 0x5A };

const GFXglyph PicopixelGlyphs[] PROGMEM = {
  {     0,   0,   0,   2,    0,    1 },   // 0x20 ' '
  {     0,   1,   5,   2,    0,   -4 },   // 0x21 '!'
  {     1,   3,   2,   4,    0,   -4 },   // 0x22 '"'
  {     2,   5,   5,   6,    0,   -4 },   // 0x23 '#'
  {     6,   3,   6,   4,    0,   -4 },   // 0x24 '$'
  {     9,   3,   5,   4,    0,   -4 },   // 0x25 '%'
  {    11,   4,   5,   5,    0,   -4 },   // 0x26 '&'
  {    14,   1,   2,   2,    0,   -4 },   // 0x27 '''
  {    15,   2,   5,   3,    0,   -4 },   // 0x28 '('
  {    17,   2,   5,   3,    0,   -4 },   // 0x29 ')'
  {    19,   3,   3,   4,    0,   -3 },   // 0x2A '*'
  {    21,   3,   3,   4,    0,   -3 },   // 0x2B '+'
  {    23,   2,   2,   3,    0,    0 },   // 0x2C ','
  {    24,   3,   1,   4,    0,   -2 },   // 0x2D '-'
  {    25,   1,   1,   2,    0,    0 },   // 0x2E '.'
  {    26,   3,   5,   4,    0,   -4 },   // 0x2F '/'
  {    28,   3,   5,   4,    0,   -4 },   // 0x30 '0'
  {    30,   2,   5,   3,    0,   -4 },   // 0x31 '1'
  {    32,   3,   5,   4,    0,   -4 },   // 0x32 '2'
  {    34,   3,   5,   4,    0,   -4 },   // 0x33 '3'
  {    36,   3,   5,   4,    0,   -4 },   // 0x34 '4'
  {    38,   3,   5,   4,    0,   -4 },   // 0x35 '5'
  {    40,   3,   5,   4,    0,   -4 },   // 0x36 '6'
  {    42,   3,   5,   4,    0,   -4 },   // 0x37 '7'
  {    44,   3,   5,   4,    0,   -4 },   // 0x38 '8'
  {    46,   3,   5,   4,    0,   -4 },   // 0x39 '9'
  {    48,   1,   3,   2,    0,   -3 },   // 0x3A ':'
  {    49,   2,   4,   3,    0,   -3 },   // 0x3B ';'
  {    50,   2,   3,   3,    0,   -3 },   // 0x3C '<'
  {    51,   3,   3,   4,    0,   -3 },   // 0x3D '='
  {    53,   2,   3,   3,    0,   -3 },   // 0x3E '>'
  {    54,   3,   5,   4,    0,   -4 },   // 0x3F '?'
  {    56,   3,   5,   4,    0,   -4 },   // 0x40 '@'
  {    58,   3,   5,   4,    0,   -4 },   // 0x41 'A'
  {    60,   3,   5,   4,    0,   -4 },   // 0x42 'B'
  {    62,   3,   5,   4,    0,   -4 },   // 0x43 'C'
  {    64,   3,   5,   4,    0,   -4 },   // 0x44 'D'
  {    66,   3,   5,   4,    0,   -4 },   // 0x45 'E'
  {    68,   3,   5,   4,    0,   -4 },   // 0x46 'F'
  {    70,   3,   5,   4,    0,   -4 },   // 0x47 'G'
  {    72,   3,   5,   4,    0,   -4 },   // 0x48 'H'
  {    74,   1,   5,   2,    0,   -4 },   // 0x49 'I'
  {    75,   3,   5,   4,    0,   -4 },   // 0x4A 'J'
  {    77,   3,   5,   4,    0,   -4 },   // 0x4B 'K'
  {    79,   3,   5,   4,    0,   -4 },   // 0x4C 'L'
  {    81,   5,   5,   6,    0,   -4 },   // 0x4D 'M'
  {    85,   4,   5,   5,    0,   -4 },   // 0x4E 'N'
  {    88,   3,   5,   4,    0,   -4 },   // 0x4F 'O'
  {    90,   3,   5,   4,    0,   -4 },   // 0x50 'P'
  {    92,   3,   6,   4,    0,   -4 },   // 0x51 'Q'
  {    95,   3,   5,   4,    0,   -4 },   // 0x52 'R'
  {    97,   3,   5,   4,    0,   -4 },   // 0x53 'S'
  {    99,   3,   5,   4,    0,   -4 },   // 0x54 'T'
  {   101,   3,   5,   4,    0,   -4 },   // 0x55 'U'
  {   103,   3,   5,   4,    0,   -4 },   // 0x56 'V'
  {   105,   5,   5,   6,    0,   -4 },   // 0x57 'W'
  {   109,   3,   5,   4,    0,   -4 },   // 0x58 'X'
  {   111,   3,   5,   4,    0,   -4 },   // 0x59 'Y'
  {   113,   3,   5,   4,    0,   -4 },   // 0x5A 'Z'
  {   115,   2,   5,   3,    0,   -4 },   // 0x5B '['
  {   117,   3,   5,   4,    0,   -4 },   // 0x5C '\'
  {   119,   2,   5,   3,    0,   -4 },   // 0x5D ']'
  {   121,   3,   2,   4,    0,   -4 },   // 0x5E '^'
  {   122,   4,   1,   4,    0,    1 },   // 0x5F '_'
  {   123,   2,   2,   3,    0,   -4 },   // 0x60 '`'
  {   124,   3,   4,   4,    0,   -3 },   // 0x61 'a'
  {   126,   3,   5,   4,    0,   -4 },   // 0x62 'b'
  {   128,   3,   3,   4,    0,   -2 },   // 0x63 'c'
  {   130,   3,   5,   4,    0,   -4 },   // 0x64 'd'
  {   132,   3,   4,   4,    0,   -3 },   // 0x65 'e'
  {   134,   2,   5,   3,    0,   -4 },   // 0x66 'f'
  {   136,   3,   5,   4,    0,   -3 },   // 0x67 'g'
  {   138,   3,   5,   4,    0,   -4 },   // 0x68 'h'
  {   140,   1,   5,   2,    0,   -4 },   // 0x69 'i'
  {   141,   2,   6,   3,    0,   -4 },   // 0x6A 'j'
  {   143,   3,   5,   4,    0,   -4 },   // 0x6B 'k'
  {   145,   2,   5,   3,    0,   -4 },   // 0x6C 'l'
  {   147,   5,   3,   6,    0,   -2 },   // 0x6D 'm'
  {   149,   3,   3,   4,    0,   -2 },   // 0x6E 'n'
  {   151,   3,   3,   4,    0,   -2 },   // 0x6F 'o'
  {   153,   3,   4,   4,    0,   -2 },   // 0x70 'p'
  {   155,   3,   4,   4,    0,   -2 },   // 0x71 'q'
  {   157,   2,   3,   3,    0,   -2 },   // 0x72 'r'
  {   158,   3,   4,   4,    0,   -3 },   // 0x73 's'
  {   160,   2,   5,   3,    0,   -4 },   // 0x74 't'
  {   162,   3,   3,   4,    0,   -2 },   // 0x75 'u'
  {   164,   3,   3,   4,    0,   -2 },   // 0x76 'v'
  {   166,   5,   3,   6,    0,   -2 },   // 0x77 'w'
  {   168,   3,   3,   4,    0,   -2 },   // 0x78 'x'
  {   170,   3,   4,   4,    0,   -2 },   // 0x79 'y'
  {   172,   3,   4,   4,    0,   -3 },   // 0x7A 'z'
  {   174,   3,   5,   4,    0,   -4 },   // 0x7B '{'
  {   176,   1,   6,   2,    0,   -4 },   // 0x7C '|'
  {   177,   3,   5,   4,    0,   -4 },   // 0x7D '}'
  {   179,   4,   2,   5,    0,   -3 } }; // 0x7E '~'

const GFXfont Picopixel PROGMEM = {
  (uint8_t  *)PicopixelBitmaps,
  (GFXglyph *)PicopixelGlyphs,
  0x20, 0x7E, 7 };




const
#include "sprite_jpg.h"

const
#include "sprite_png.h"


const unsigned char tbz_28x28_jpg[] = {
  0xff, 0xd8, 0xff, 0xe0, 0x00, 0x10, 0x4a, 0x46, 0x49, 0x46, 0x00, 0x01,
  0x01, 0x01, 0x00, 0x60, 0x00, 0x60, 0x00, 0x00, 0xff, 0xdb, 0x00, 0x43,
  0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0xff, 0xdb, 0x00, 0x43, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x01, 0xff, 0xc0, 0x00, 0x11, 0x08, 0x00, 0x1c, 0x00, 0x1c, 0x03,
  0x01, 0x22, 0x00, 0x02, 0x11, 0x01, 0x03, 0x11, 0x01, 0xff, 0xc4, 0x00,
  0x1f, 0x00, 0x00, 0x01, 0x05, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x02, 0x03, 0x04, 0x05,
  0x06, 0x07, 0x08, 0x09, 0x0a, 0x0b, 0xff, 0xc4, 0x00, 0xb5, 0x10, 0x00,
  0x02, 0x01, 0x03, 0x03, 0x02, 0x04, 0x03, 0x05, 0x05, 0x04, 0x04, 0x00,
  0x00, 0x01, 0x7d, 0x01, 0x02, 0x03, 0x00, 0x04, 0x11, 0x05, 0x12, 0x21,
  0x31, 0x41, 0x06, 0x13, 0x51, 0x61, 0x07, 0x22, 0x71, 0x14, 0x32, 0x81,
  0x91, 0xa1, 0x08, 0x23, 0x42, 0xb1, 0xc1, 0x15, 0x52, 0xd1, 0xf0, 0x24,
  0x33, 0x62, 0x72, 0x82, 0x09, 0x0a, 0x16, 0x17, 0x18, 0x19, 0x1a, 0x25,
  0x26, 0x27, 0x28, 0x29, 0x2a, 0x34, 0x35, 0x36, 0x37, 0x38, 0x39, 0x3a,
  0x43, 0x44, 0x45, 0x46, 0x47, 0x48, 0x49, 0x4a, 0x53, 0x54, 0x55, 0x56,
  0x57, 0x58, 0x59, 0x5a, 0x63, 0x64, 0x65, 0x66, 0x67, 0x68, 0x69, 0x6a,
  0x73, 0x74, 0x75, 0x76, 0x77, 0x78, 0x79, 0x7a, 0x83, 0x84, 0x85, 0x86,
  0x87, 0x88, 0x89, 0x8a, 0x92, 0x93, 0x94, 0x95, 0x96, 0x97, 0x98, 0x99,
  0x9a, 0xa2, 0xa3, 0xa4, 0xa5, 0xa6, 0xa7, 0xa8, 0xa9, 0xaa, 0xb2, 0xb3,
  0xb4, 0xb5, 0xb6, 0xb7, 0xb8, 0xb9, 0xba, 0xc2, 0xc3, 0xc4, 0xc5, 0xc6,
  0xc7, 0xc8, 0xc9, 0xca, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7, 0xd8, 0xd9,
  0xda, 0xe1, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6, 0xe7, 0xe8, 0xe9, 0xea, 0xf1,
  0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7, 0xf8, 0xf9, 0xfa, 0xff, 0xc4, 0x00,
  0x1f, 0x01, 0x00, 0x03, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01,
  0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x02, 0x03, 0x04, 0x05,
  0x06, 0x07, 0x08, 0x09, 0x0a, 0x0b, 0xff, 0xc4, 0x00, 0xb5, 0x11, 0x00,
  0x02, 0x01, 0x02, 0x04, 0x04, 0x03, 0x04, 0x07, 0x05, 0x04, 0x04, 0x00,
  0x01, 0x02, 0x77, 0x00, 0x01, 0x02, 0x03, 0x11, 0x04, 0x05, 0x21, 0x31,
  0x06, 0x12, 0x41, 0x51, 0x07, 0x61, 0x71, 0x13, 0x22, 0x32, 0x81, 0x08,
  0x14, 0x42, 0x91, 0xa1, 0xb1, 0xc1, 0x09, 0x23, 0x33, 0x52, 0xf0, 0x15,
  0x62, 0x72, 0xd1, 0x0a, 0x16, 0x24, 0x34, 0xe1, 0x25, 0xf1, 0x17, 0x18,
  0x19, 0x1a, 0x26, 0x27, 0x28, 0x29, 0x2a, 0x35, 0x36, 0x37, 0x38, 0x39,
  0x3a, 0x43, 0x44, 0x45, 0x46, 0x47, 0x48, 0x49, 0x4a, 0x53, 0x54, 0x55,
  0x56, 0x57, 0x58, 0x59, 0x5a, 0x63, 0x64, 0x65, 0x66, 0x67, 0x68, 0x69,
  0x6a, 0x73, 0x74, 0x75, 0x76, 0x77, 0x78, 0x79, 0x7a, 0x82, 0x83, 0x84,
  0x85, 0x86, 0x87, 0x88, 0x89, 0x8a, 0x92, 0x93, 0x94, 0x95, 0x96, 0x97,
  0x98, 0x99, 0x9a, 0xa2, 0xa3, 0xa4, 0xa5, 0xa6, 0xa7, 0xa8, 0xa9, 0xaa,
  0xb2, 0xb3, 0xb4, 0xb5, 0xb6, 0xb7, 0xb8, 0xb9, 0xba, 0xc2, 0xc3, 0xc4,
  0xc5, 0xc6, 0xc7, 0xc8, 0xc9, 0xca, 0xd2, 0xd3, 0xd4, 0xd5, 0xd6, 0xd7,
  0xd8, 0xd9, 0xda, 0xe2, 0xe3, 0xe4, 0xe5, 0xe6, 0xe7, 0xe8, 0xe9, 0xea,
  0xf2, 0xf3, 0xf4, 0xf5, 0xf6, 0xf7, 0xf8, 0xf9, 0xfa, 0xff, 0xda, 0x00,
  0x0c, 0x03, 0x01, 0x00, 0x02, 0x11, 0x03, 0x11, 0x00, 0x3f, 0x00, 0xfe,
  0x72, 0x3f, 0x63, 0x1f, 0xf8, 0x26, 0x5c, 0x9f, 0x15, 0xfe, 0x05, 0x6b,
  0xbf, 0xb6, 0x17, 0xed, 0x27, 0xf1, 0x37, 0x56, 0xf8, 0x4b, 0xf0, 0x8e,
  0x4b, 0x4b, 0xfb, 0x3f, 0x87, 0x77, 0x36, 0x77, 0x16, 0xe3, 0xc5, 0xbe,
  0x31, 0xd6, 0xcd, 0xec, 0x9e, 0x1a, 0xd2, 0xf5, 0xa9, 0x9f, 0x53, 0x91,
  0x3e, 0xcd, 0xe1, 0x5b, 0xbf, 0x13, 0x85, 0xf0, 0xbe, 0x97, 0x1b, 0x4d,
  0x15, 0xdf, 0x89, 0xf5, 0x38, 0xee, 0x34, 0xfb, 0x2b, 0xbd, 0x32, 0xdd,
  0x20, 0xbc, 0x9f, 0xf5, 0xc7, 0xc5, 0x7f, 0x16, 0xf5, 0xff, 0x00, 0x02,
  0x7c, 0x30, 0xd7, 0xbc, 0x67, 0xf0, 0x8f, 0xf6, 0x1e, 0xb3, 0xfd, 0xa4,
  0x2e, 0xb4, 0xd5, 0xd3, 0x7c, 0x1b, 0xf1, 0x84, 0x78, 0x63, 0xc2, 0x76,
  0x0f, 0xe2, 0x1f, 0x05, 0xd8, 0x68, 0xbe, 0x1e, 0xb5, 0xb0, 0xf0, 0xf7,
  0x89, 0xae, 0x1a, 0xcb, 0xe1, 0xb7, 0x8b, 0x35, 0x8d, 0x6a, 0xd6, 0xe2,
  0xc6, 0xd1, 0xf4, 0xdd, 0x62, 0xee, 0xef, 0x50, 0x8d, 0xfc, 0x3f, 0x75,
  0xa7, 0x78, 0x79, 0x58, 0x4d, 0x0e, 0xa5, 0x98, 0x7c, 0x27, 0xfe, 0x0a,
  0x0b, 0xe2, 0x46, 0xd2, 0xbe, 0x0c, 0xff, 0x00, 0xc1, 0x33, 0xfe, 0x01,
  0x68, 0x91, 0x1b, 0x7f, 0x83, 0x32, 0xd8, 0x78, 0x37, 0x50, 0xf1, 0x05,
  0xab, 0xea, 0x50, 0xc1, 0xa1, 0xea, 0xb7, 0xfe, 0x0f, 0xd2, 0x7c, 0x21,
  0xa4, 0xe8, 0x29, 0x2c, 0xb7, 0x36, 0x77, 0x91, 0xcd, 0x24, 0x76, 0xfe,
  0x23, 0xd5, 0x8c, 0x51, 0xe9, 0xf1, 0xd8, 0xcf, 0xf6, 0xab, 0xc5, 0xb9,
  0xf3, 0xe3, 0x9d, 0x6d, 0xa4, 0x8f, 0xf5, 0x6f, 0xf6, 0x31, 0xff, 0x00,
  0x82, 0x87, 0xfe, 0xcf, 0x1e, 0x16, 0xbd, 0xf8, 0x79, 0xe1, 0x4b, 0x0f,
  0x15, 0x6b, 0x17, 0x7f, 0x1a, 0x7c, 0x4b, 0xe3, 0x7b, 0x8f, 0x86, 0xfa,
  0xcf, 0x84, 0x6d, 0xf5, 0xd7, 0xf0, 0x9f, 0x80, 0xec, 0x74, 0x60, 0x9a,
  0xcd, 0xe5, 0x9e, 0xbb, 0xaa, 0xc9, 0xaf, 0xde, 0x69, 0xde, 0x1b, 0xd5,
  0xa1, 0xd0, 0xef, 0xaf, 0x56, 0x19, 0x75, 0x7b, 0xfb, 0x5b, 0x7d, 0x6a,
  0x14, 0xd7, 0x2f, 0x05, 0xaa, 0x5f, 0x13, 0xfb, 0xdf, 0xe5, 0x5c, 0x76,
  0x27, 0x1f, 0xc6, 0x11, 0xc2, 0x71, 0x56, 0x65, 0x0c, 0x56, 0x6d, 0x94,
  0xd7, 0xc6, 0x67, 0x71, 0xc0, 0xf0, 0xfd, 0x0a, 0x92, 0xc2, 0xe1, 0xf0,
  0x39, 0x4e, 0x5b, 0x8e, 0x79, 0x54, 0x69, 0xba, 0xb9, 0x74, 0xf0, 0xf8,
  0xda, 0xb5, 0xb1, 0x55, 0xb0, 0x15, 0x31, 0xb8, 0x9a, 0x92, 0xc4, 0x49,
  0x42, 0x74, 0xf0, 0xd0, 0x85, 0x1a, 0x8b, 0x9e, 0x2f, 0xfa, 0xef, 0x2f,
  0xc0, 0x52, 0xe0, 0x85, 0x9a, 0x70, 0x74, 0x29, 0xe5, 0xb8, 0x0e, 0x21,
  0xa3, 0x43, 0x22, 0x95, 0x7e, 0x24, 0x6a, 0x9e, 0x23, 0x11, 0x8d, 0xcc,
  0x33, 0x1c, 0x0d, 0x0c, 0xf6, 0x33, 0xad, 0x4f, 0x33, 0x8d, 0x7c, 0xbb,
  0x93, 0x0d, 0x43, 0x1b, 0x47, 0x09, 0x85, 0x84, 0x28, 0xd3, 0x52, 0x55,
  0x71, 0x6e, 0x75, 0x1b, 0x54, 0x99, 0xf8, 0x7b, 0xa5, 0xfc, 0x19, 0xfd,
  0x8f, 0x3f, 0xe0, 0xaa, 0x9a, 0x82, 0xdb, 0x7c, 0x2e, 0x3a, 0x8f, 0xc0,
  0x3f, 0xda, 0x73, 0x4d, 0xd0, 0xf5, 0x1b, 0x51, 0xf0, 0xdb, 0x4f, 0xf0,
  0xe5, 0xb5, 0x9c, 0x0d, 0x71, 0xf6, 0x9b, 0x1b, 0x7b, 0x4b, 0xdd, 0x7f,
  0x4f, 0xb6, 0x88, 0x58, 0x78, 0x8b, 0x46, 0xd1, 0xf5, 0x5b, 0x5b, 0xff,
  0x00, 0xb4, 0xdc, 0xf8, 0x46, 0xd7, 0x48, 0xd5, 0xec, 0x6c, 0xbc, 0x5c,
  0x97, 0x5a, 0xfd, 0x95, 0x86, 0x9f, 0xa2, 0xd9, 0xc4, 0x3f, 0x18, 0xbc,
  0x73, 0xf0, 0x43, 0xf6, 0x9c, 0xf8, 0x2b, 0xe3, 0xbf, 0x1b, 0x7c, 0x28,
  0xd4, 0x3c, 0x31, 0xf1, 0x33, 0x4f, 0xd6, 0x7c, 0x07, 0xe2, 0x6d, 0x43,
  0xc3, 0xfa, 0xe5, 0xbf, 0x84, 0xe2, 0xf1, 0x1d, 0xfe, 0x84, 0xda, 0x95,
  0xa8, 0x89, 0xda, 0xf3, 0x4e, 0xbf, 0xd1, 0x61, 0x97, 0x4f, 0xbf, 0xb2,
  0xd4, 0x6d, 0x25, 0xb4, 0xd4, 0x74, 0xfb, 0xf8, 0x24, 0x65, 0xbe, 0xd3,
  0x2e, 0xec, 0xae, 0xd7, 0x11, 0xcc, 0x80, 0x7f, 0x5f, 0x3f, 0xf0, 0x51,
  0x9f, 0x15, 0x78, 0x23, 0xc2, 0xbf, 0x18, 0xec, 0xbe, 0x3a, 0x78, 0x6b,
  0x4d, 0xfd, 0x9d, 0xbc, 0x01, 0xf1, 0x7f, 0xc3, 0x5a, 0xc6, 0xb3, 0xe1,
  0xaf, 0x16, 0xfc, 0x45, 0xf8, 0x67, 0xa3, 0x47, 0xa8, 0xfc, 0x44, 0xf1,
  0xde, 0x91, 0xae, 0x5a, 0x49, 0x63, 0xa1, 0xea, 0x52, 0x5c, 0x59, 0xf8,
  0x3b, 0x4c, 0xd4, 0x53, 0xc7, 0x0e, 0x6f, 0xb5, 0x1f, 0x0b, 0x4c, 0xba,
  0x3e, 0xaf, 0xae, 0xea, 0x5a, 0x9f, 0x87, 0x6e, 0xb4, 0xfb, 0xc9, 0xe7,
  0xd1, 0x2c, 0x56, 0xee, 0x19, 0xbf, 0x1a, 0xbf, 0x6f, 0x8d, 0x3b, 0xe3,
  0x4e, 0x9b, 0xf1, 0x6b, 0xc1, 0xd3, 0x78, 0xdf, 0xe3, 0x87, 0x8d, 0x7c,
  0x3b, 0xe2, 0x3d, 0x6b, 0xe1, 0x37, 0x86, 0xf5, 0xdb, 0xdd, 0x07, 0x49,
  0xd7, 0xa5, 0xd2, 0xed, 0x34, 0x95, 0xd4, 0x7c, 0x45, 0xe2, 0xf6, 0x82,
  0xd1, 0xc4, 0x57, 0x11, 0x2d, 0xf5, 0xf0, 0x86, 0x34, 0x9b, 0x53, 0xbe,
  0x11, 0xa8, 0x7d, 0x4a, 0x5b, 0xab, 0x78, 0xcb, 0xc5, 0x6d, 0x1c, 0x8f,
  0xf4, 0x1c, 0x2f, 0xc4, 0xb8, 0xcc, 0xa3, 0x38, 0x86, 0x47, 0x4e, 0xa5,
  0x6a, 0x9c, 0x3b, 0x98, 0x60, 0xaa, 0x62, 0x32, 0xac, 0xbf, 0x88, 0x31,
  0x4f, 0x17, 0x8b, 0xcb, 0x71, 0xb8, 0x39, 0x53, 0xab, 0x8d, 0xc2, 0xe0,
  0x31, 0x34, 0xf0, 0xb5, 0xab, 0x62, 0x70, 0x34, 0xe9, 0x62, 0xe8, 0xca,
  0x4f, 0x19, 0x19, 0x55, 0xc3, 0xba, 0xf4, 0x69, 0xaa, 0xb4, 0xd3, 0x8c,
  0x2b, 0x79, 0x1c, 0x53, 0xc1, 0xb2, 0xe2, 0x9c, 0xa6, 0x1c, 0x49, 0x53,
  0xfb, 0x2e, 0x9e, 0x7b, 0x82, 0xc4, 0xc6, 0x96, 0x75, 0x8d, 0xe1, 0xac,
  0xbd, 0x61, 0x5e, 0x63, 0x43, 0x1d, 0x52, 0x70, 0xc0, 0x63, 0x73, 0x5c,
  0x2d, 0x6c, 0x66, 0x17, 0x03, 0x85, 0xc5, 0xd5, 0x96, 0x1b, 0x10, 0xa1,
  0x1c, 0xbf, 0x96, 0x35, 0xf9, 0x2a, 0xce, 0x54, 0x79, 0xe9, 0xd6, 0x70,
  0xfd, 0x0f, 0xf1, 0x6f, 0xc3, 0xff, 0x00, 0x88, 0xfe, 0x2a, 0xf8, 0x35,
  0xa6, 0x7c, 0x2c, 0xf8, 0x89, 0xf0, 0xcf, 0xc0, 0xba, 0x57, 0xc4, 0xdf,
  0xd9, 0xb6, 0xdf, 0x5f, 0xd4, 0x7c, 0x1f, 0xa0, 0xf8, 0x9e, 0xef, 0x4d,
  0xb8, 0xba, 0xb1, 0xf0, 0x58, 0xb1, 0x5b, 0x3b, 0x1b, 0x5f, 0x04, 0xdc,
  0x5c, 0x10, 0x2f, 0x3c, 0x65, 0xa3, 0x78, 0x63, 0x54, 0xf0, 0xe3, 0xc7,
  0xa8, 0xb2, 0xdc, 0x41, 0x0b, 0xbd, 0xba, 0x47, 0x7b, 0x73, 0xaa, 0xea,
  0x7a, 0x7e, 0xac, 0xdf, 0x8a, 0x7e, 0x32, 0xb6, 0xb4, 0xd6, 0xbe, 0x20,
  0x3d, 0xce, 0x8b, 0xa5, 0xf8, 0xc2, 0xef, 0xc6, 0x3a, 0x5a, 0xc4, 0x75,
  0xaf, 0x0b, 0x68, 0x1e, 0x15, 0xd7, 0x9f, 0xc4, 0x1a, 0x25, 0xe6, 0x95,
  0x0a, 0x5a, 0xeb, 0x57, 0x1a, 0xd8, 0xb2, 0xb0, 0x91, 0xf4, 0xfb, 0x38,
  0xaf, 0xe0, 0xbe, 0x4b, 0xeb, 0x9d, 0xaf, 0x0e, 0xf5, 0x90, 0x4b, 0x70,
  0x1e, 0x2b, 0x88, 0x13, 0xd9, 0x3c, 0x27, 0xaf, 0xeb, 0x7f, 0xb4, 0x1f,
  0xc4, 0x6f, 0x17, 0x78, 0xff, 0x00, 0xe2, 0xd6, 0xbb, 0xe2, 0x8f, 0x14,
  0xfc, 0x47, 0xf0, 0x7e, 0xbb, 0xa8, 0xf8, 0x63, 0x47, 0xf8, 0x80, 0x7c,
  0x6b, 0xe3, 0x5d, 0x2b, 0xc4, 0x51, 0x69, 0xfe, 0x1f, 0x75, 0xd0, 0xb4,
  0xdd, 0x90, 0x68, 0xfe, 0x22, 0xb0, 0xf0, 0xed, 0x8e, 0xcd, 0x3e, 0xd2,
  0x18, 0xe5, 0xb1, 0xd1, 0xf4, 0x1d, 0x33, 0x46, 0x99, 0x83, 0x97, 0xd2,
  0xf6, 0x4b, 0x22, 0x37, 0xd1, 0xbf, 0xb3, 0xd4, 0xd7, 0xba, 0x67, 0xed,
  0x07, 0xac, 0xe8, 0x50, 0xea, 0xfe, 0x20, 0x31, 0x5a, 0xf8, 0xcb, 0xe1,
  0xde, 0x9d, 0x2e, 0xa5, 0x17, 0x88, 0xf5, 0xfd, 0x37, 0x5c, 0xd4, 0x2c,
  0xf4, 0xff, 0x00, 0x0b, 0xef, 0x85, 0x35, 0x0d, 0x63, 0x45, 0xd4, 0xb4,
  0xcb, 0xd9, 0xa6, 0x6b, 0x92, 0xf7, 0xd2, 0x5e, 0x47, 0x24, 0x37, 0xbf,
  0x6f, 0x96, 0x6b, 0xb8, 0xae, 0x62, 0x9a, 0x69, 0x1d, 0xb3, 0xc8, 0x32,
  0x5c, 0x57, 0x09, 0xe1, 0xb3, 0x27, 0x8d, 0xc6, 0x53, 0xc6, 0xc6, 0x10,
  0x9e, 0x63, 0x3c, 0x1e, 0x0e, 0x95, 0x6c, 0x2d, 0x0c, 0x26, 0x3b, 0x15,
  0x5e, 0x55, 0xf3, 0x1a, 0x18, 0x4c, 0x45, 0x7c, 0x4e, 0x26, 0xad, 0x7c,
  0x0d, 0x6a, 0xd5, 0xa5, 0x88, 0xa4, 0xea, 0xd1, 0xa1, 0x5d, 0x55, 0x9d,
  0x45, 0x36, 0xe9, 0xb4, 0x8c, 0x33, 0x5c, 0xea, 0x3c, 0x63, 0x5b, 0x2c,
  0xa5, 0x43, 0x0e, 0xf0, 0xd5, 0xab, 0x53, 0xa5, 0x82, 0x78, 0xdc, 0x7b,
  0xa1, 0x8b, 0xaf, 0x8a, 0xc2, 0x61, 0x70, 0xb4, 0xa8, 0xe5, 0xd5, 0xab,
  0xc2, 0x8e, 0x17, 0x0c, 0xa8, 0xe3, 0x68, 0x61, 0xf0, 0xf4, 0xf0, 0xd5,
  0x64, 0xaa, 0x62, 0x61, 0x52, 0x9c, 0x54, 0xa2, 0xe3, 0x2b, 0xa9, 0x66,
  0xfe, 0xce, 0x9f, 0xb3, 0xb7, 0x8e, 0xfe, 0x24, 0x78, 0xd6, 0x3f, 0xda,
  0x43, 0xe3, 0x3f, 0x8d, 0xfc, 0x27, 0xa4, 0xfc, 0x2e, 0xf8, 0x3b, 0xae,
  0x68, 0x7f, 0x14, 0xf4, 0x9f, 0x86, 0xba, 0x1e, 0xbd, 0xa3, 0xf8, 0xa9,
  0xbc, 0x4d, 0x35, 0xb8, 0x3a, 0x86, 0x9f, 0xe3, 0x1d, 0x7b, 0x55, 0xd3,
  0xf5, 0x3b, 0xbd, 0x0a, 0xdb, 0x52, 0xd1, 0xae, 0x61, 0xf0, 0xfd, 0xf0,
  0xd2, 0xe1, 0x5b, 0xdd, 0x64, 0xe9, 0xb7, 0xb0, 0x59, 0xea, 0xf0, 0x69,
  0x87, 0x51, 0xb8, 0xfe, 0xd7, 0xfa, 0x8b, 0xc7, 0xdf, 0x01, 0xbe, 0x3a,
  0xfe, 0xd6, 0xde, 0x32, 0xf1, 0x17, 0xc6, 0x9d, 0x43, 0xf6, 0x5e, 0xd1,
  0x3e, 0x23, 0xe8, 0x9a, 0xcd, 0xff, 0x00, 0xf6, 0x57, 0x81, 0xfc, 0x43,
  0x7f, 0x1f, 0x85, 0xee, 0x27, 0x5f, 0x07, 0xe8, 0x96, 0xf0, 0x59, 0xd9,
  0xd8, 0xb2, 0x6a, 0xfe, 0x21, 0xf0, 0xec, 0xf6, 0x52, 0xc5, 0xab, 0x7f,
  0x6c, 0xdc, 0xde, 0xe9, 0xf0, 0xda, 0xdd, 0x5b, 0x59, 0x6a, 0x37, 0x77,
  0xb0, 0xad, 0xfc, 0xb3, 0x2c, 0xf0, 0x5b, 0xfe, 0x7c, 0xf8, 0xab, 0x4c,
  0xd3, 0x75, 0x0f, 0x06, 0xdf, 0xb6, 0xa1, 0x69, 0x2d, 0xee, 0x97, 0x73,
  0xac, 0xf8, 0xda, 0xca, 0x7f, 0x0d, 0x49, 0xab, 0x6b, 0xd0, 0x78, 0x6e,
  0x7b, 0x7d, 0x37, 0xe2, 0x6f, 0x8b, 0xd6, 0xd0, 0x5d, 0xe9, 0x76, 0x5a,
  0xad, 0xaa, 0x6a, 0x13, 0x45, 0x0a, 0xda, 0xdb, 0xad, 0xd6, 0xa3, 0x25,
  0xe5, 0xda, 0x26, 0x9f, 0xa7, 0xcb, 0x14, 0xf1, 0xdd, 0x5a, 0xa5, 0xc1,
  0xeb, 0x7f, 0x67, 0xff, 0x00, 0xda, 0xab, 0xf6, 0x99, 0xb7, 0xf8, 0x6d,
  0xa7, 0x69, 0xbe, 0x13, 0xf8, 0xe9, 0xe3, 0xef, 0x01, 0x78, 0x67, 0x47,
  0xbf, 0xd4, 0xb4, 0xad, 0x0f, 0xc2, 0x3e, 0x1a, 0x9b, 0x43, 0xbd, 0xd0,
  0x74, 0x4b, 0x1b, 0x5b, 0x8c, 0xad, 0xb6, 0x98, 0xde, 0x32, 0xd1, 0x3c,
  0x59, 0xad, 0x41, 0x6f, 0x24, 0xd2, 0x4b, 0x70, 0xd6, 0xcd, 0xac, 0x49,
  0x6b, 0x14, 0xf3, 0x4a, 0x6d, 0x60, 0xb7, 0x8d, 0xfc, 0xb1, 0xcf, 0x99,
  0xf0, 0xb7, 0x13, 0x66, 0x99, 0xb5, 0x4c, 0xe7, 0x2b, 0xcd, 0x32, 0x75,
  0x8c, 0xa1, 0x0a, 0xb9, 0x66, 0x59, 0x84, 0xc7, 0xe0, 0xf1, 0xd8, 0x5c,
  0x26, 0x57, 0x93, 0xca, 0x74, 0xb1, 0x18, 0x98, 0xd1, 0xaf, 0x96, 0xe2,
  0xfe, 0xb1, 0x88, 0xc7, 0x63, 0x31, 0xd0, 0x55, 0xb1, 0x15, 0xab, 0xc3,
  0xdf, 0xa6, 0xa1, 0x4d, 0xce, 0xd4, 0xe0, 0x92, 0xca, 0x78, 0xa7, 0x22,
  0xca, 0x72, 0xba, 0x39, 0x56, 0x65, 0x84, 0xcf, 0x16, 0x07, 0x19, 0x3a,
  0x59, 0x8e, 0x6b, 0x88, 0xcb, 0xf1, 0xb8, 0x2c, 0x46, 0x2f, 0x32, 0xcd,
  0xa9, 0xaa, 0xd4, 0x30, 0x73, 0x9e, 0x1f, 0x1f, 0x84, 0x8e, 0x13, 0x0f,
  0x83, 0xc1, 0xe0, 0xe4, 0xe8, 0x51, 0xa3, 0x4f, 0x9a, 0x70, 0x9b, 0x95,
  0x45, 0x37, 0xed, 0x2a, 0x46, 0x5f, 0xff, 0xd9
};
const unsigned int tbz_28x28_jpg_len = 2240;

#endif //  _ASSETS_H
